var NAVTREE =
[
  [ "Aria", "index.html", [
    [ "ARIA Developer's Reference Manual", "index.html", [
      [ "Contents", "index.html#toc", [
        [ "Additional tools in the ARIA toolbox:", "index.html#tocToolbox", null ],
        [ "Helpful information about C++ development with ARIA:", "index.html#tocDevHelp", null ],
        [ "Advanced Usage:", "index.html#tocAdv", null ]
      ] ],
      [ "Introduction", "index.html#intro", [
        [ "What is ARIA? How does it relate to other MobileRobots software?", "index.html#whouses", null ],
        [ "Java and Python", "index.html#javapython", null ],
        [ "Matlab", "index.html#matlab", null ]
      ] ],
      [ "License and Sharing", "index.html#licensing", null ],
      [ "The ARIA Package", "index.html#AriaPackage", [
        [ "ARIA/", "index.html#arpack", null ],
        [ "Other ARIA Files of Note", "index.html#arpackother", null ]
      ] ],
      [ "Documentation and Coding Convention", "index.html#codingConventions", null ],
      [ "ARIA-Robot Client-Server Relationship", "index.html#arCliServ", null ],
      [ "Robot Communication", "index.html#commClasses", [
        [ "Connecting with a Robot or the Simulator", "index.html#connectRobot", null ]
      ] ],
      [ "Specifying Details about Robot and Device Connections", "index.html#HardwareConfiguration", [
        [ "Robot Parameter Files", "index.html#RobotParameterFiles", null ],
        [ "Program Runtime Options", "index.html#RuntimeOptions", null ]
      ] ],
      [ "ArRobot", "index.html#robot", [
        [ "Client Commands and Server Information Packets", "index.html#commands", null ],
        [ "Packet Handlers", "index.html#packetHandlers", null ],
        [ "Command Packets", "index.html#CommandPackets", null ],
        [ "Robot Synchronization Cycle", "index.html#syncRobot", null ],
        [ "State Reflection", "index.html#stateReflection", null ],
        [ "Robot Callbacks", "index.html#callback", null ]
      ] ],
      [ "Controlling the robot with Commands and Actions", "index.html#ClientCommands", [
        [ "Direct Commands", "index.html#robotDirectCommands", null ],
        [ "Motion Command Functions", "index.html#robotMotionCommands", null ],
        [ "Actions", "index.html#actions", null ],
        [ "Action Desired", "index.html#actionDesired", null ],
        [ "The Action Resolver", "index.html#resolvers", null ],
        [ "Predefined Actions", "index.html#predefinedActions", null ],
        [ "Mixing Actions", "index.html#actionInteractions", null ],
        [ "Action Groups", "index.html#actionGroups", null ]
      ] ],
      [ "Range Devices", "index.html#rangeDevices", null ],
      [ "Functors", "index.html#functors", null ],
      [ "Keyboard and Joystick Input", "index.html#userInput", null ],
      [ "Threading", "index.html#threading", [
        [ "Thread Syncronizing Objects", "index.html#syncObject", null ],
        [ "Asynchronous Task Class", "index.html#asynctasks", null ]
      ] ],
      [ "Global Data", "index.html#aria", null ],
      [ "Device and Accessory Interface Classes", "index.html#devices", null ],
      [ "Utility Classes", "index.html#utility", null ],
      [ "ArConfig", "index.html#arconfig", null ],
      [ "Shared Info Groups", "index.html#arinfogroup", null ],
      [ "Maps", "index.html#maps", null ],
      [ "Sockets", "index.html#sockets", null ],
      [ "ArNetworking", "index.html#ArNetworking", null ],
      [ "Sound and Speech", "index.html#sound", null ],
      [ "Emacs", "index.html#emacs", null ],
      [ "Non-everyday use of C++", "index.html#noneverydayC", [
        [ "Standard Template Library", "index.html#stl", null ],
        [ "Default Arguments", "index.html#defaultArgs", null ],
        [ "Constructor Chaining", "index.html#constructorChaining", null ],
        [ "Chars and Strings, Win workaround", "index.html#charsAndStrings", null ],
        [ "AREXPORT", "index.html#arexport", null ],
        [ "Exceptions", "index.html#exceptions", null ]
      ] ],
      [ "Topics and Esoterica", "index.html#Advanced", [
        [ "Piecemeal Use of ARIA", "index.html#pieceMealUse", null ],
        [ "Connecting with a Robot or the Simulator the hard way", "index.html#hardConnectRobot", null ],
        [ "Opening the Connection", "index.html#openDevice", null ],
        [ "Robot Client-Server Connection", "index.html#devConnect", null ],
        [ "Connection Read, Write, Close and Timestamping", "index.html#connrw", null ]
      ] ]
    ] ],
    [ "Robot Parameter Files", "ParamFiles.html", [
      [ "Device Parameters", "ParamFiles.html#ParamFileDeviceParams", [
        [ "General Robot Parameters", "ParamFiles.html#ParamFileGeneralParams", null ],
        [ "Laser Rangefinding Devices", "ParamFiles.html#ParamFileLaserParams", null ],
        [ "GPS Devices", "ParamFiles.html#ParamFileGPSParams", null ],
        [ "Other Accessory Device Flags and Options", "ParamFiles.html#ParamFileOtherDeviceParams", null ]
      ] ]
    ] ],
    [ "Command Line Option Summary", "CommandLineOptions.html", [
      [ "ArRobotConnector", "CommandLineOptions.html#ArRobotConnector", null ],
      [ "ArLaserConnector", "CommandLineOptions.html#ArLaserConnector", null ],
      [ "ArPTZConnector", "CommandLineOptions.html#ArPTZConnector", null ],
      [ "ArGPSConnector", "CommandLineOptions.html#ArGPSConnector", null ],
      [ "ArCompassConnector", "CommandLineOptions.html#ArCompassConnector", null ],
      [ "ArSonarConnector", "CommandLineOptions.html#ArSonarConnector", null ]
    ] ],
    [ "Laser Scan Log File Format", "LaserLogFileFormat.html", null ],
    [ "Map File Format", "MapFileFormat.html", [
      [ "Defining Custom Map Objects", "MapFileFormat.html#MapCustomObjects", null ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"ArMD5Calculator_8h.html",
"classArActionAvoidSide.html#a0f858741d8a5b26d9e0a6b45227a51ed",
"classArActionDriveDistance.html#a99053bb92e7b3bc572cb27c537a8f298",
"classArActionKeydrive.html#a9b64b2514ce977e44b8cc5c57798f384",
"classArActionTriangleDriveTo.html#a1d204c6d37ce38249793cd5407102523a81affe449fce9a2591cbf76060aee04c",
"classArArgumentBuilder.html#a9228415ffc95ae78a68f738b3f70002c",
"classArBatteryMTX.html#a4f34fe50b604af9447ad25c14833f2e4",
"classArColor.html#a08106fcdc80b807ef10f3961a2f70ef5",
"classArConfig.html#ad1f538be210a0f6ae790217b9ea3533d",
"classArConstFunctor3C.html",
"classArDPPTU.html#a27e9e6a91e9ceb718c904f0dd9e9e631",
"classArDeviceConnection.html#aacdcacf3635432296e6a5cf8f08e7e50",
"classArFunctor5C.html#a74d6314919a98eb6a57eb5b561df7cb1",
"classArGPS.html#acf293cf92eb7b07559f3fbeb75ad274a",
"classArGlobalRetFunctor3.html#a7c8059dc0a3baa56367d1cf8329be15a",
"classArJoyHandler.html#acbcfcb5fcfbfd22200b39b09c714a623",
"classArLCDMTX.html#adc99899477460393150fc518ae675152",
"classArLaser.html#a0d119529c9b0386408ef8b4896f673ce",
"classArLaser.html#a9bbdf1e01d6ce33fe8e5a5fce4ad29c0",
"classArLaserConnector_1_1LaserData.html#aa3313fe4c3164d4e653767b290f32d06",
"classArLineSegment.html#a1e6fbe006535fc7dacdbecdba4cf1f5b",
"classArMTXIO.html#a74d2256a902345ed574b20c63d959e08",
"classArMap.html#ad80efc09348a0e48c5acee96dd40af51",
"classArMapInterface.html#a4e4b9de7ebaa896d12728e2b16d5eb0f",
"classArMapSimple.html#a0b73a8310179f24138bef9bdcb18691c",
"classArModeActs.html#a3cd5e240e1d2f6678576c62f586c52fc",
"classArMutex.html",
"classArP2Arm.html#a7ac175f75bc05865c057fd9d1d281bdf",
"classArPTZ.html#acd0092aeb13d29dc4900818c5d819809",
"classArRVisionPTZ.html#af7da37c44136e643019f0a6d8b642856",
"classArRetFunctor1C.html#a84478a4cd75694f61a509cee1c3ae6ca",
"classArRobot.html#a1145c1d819343d1fe5d0fb1f10ef95d0",
"classArRobot.html#a37991669749d064691406e575b00564d",
"classArRobot.html#a63179ab7c4a66b864e3c9a58b9f9f07b",
"classArRobot.html#a95941f47280ce3b39bb8cb11654b42eb",
"classArRobot.html#ac802045cc50a2fac87fb82643feb583c",
"classArRobot.html#af8a8cca88501f7c6a7573a03e5ebbba8",
"classArRobotConnector.html#a059afdd8b4145bdbe58a5bb1003c0bfe",
"classArRobotParams.html#a4d71d663b8246ea1e9762af75e7b47c7",
"classArSZSeries.html#a367ea0b85c235918d34585b6509e520f",
"classArSignalHandler.html",
"classArSonarConnector.html#a17c4dedbf2f29b44f04708d61db77ae2",
"classArSonyPTZ.html#a8ad0fea895d970674e555a4999e621ce",
"classArSystemStatus.html#a5c91b50346a66c53f67c9f07a9c43b90",
"classArThread.html#a94f5c62be5ea634a63645b09d24618ea",
"classArUtil.html#a50fbd83a487dcf92689596c05e552533",
"classArVCC4.html#a7f6f21086079995077a65121dee602e0",
"classArVideoParams.html#a34ff0309d862c0eaa39d9923bbec3f60",
"functions_t.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';